Bug 466738 - Restarting a level crashes xmoto
Restarting a level crashes xmoto
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xmoto (Show other bugs)
rawhide
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-13 07:09 EDT by Rodd Clarkson
Modified: 2008-10-15 11:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-15 10:46:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rodd Clarkson 2008-10-13 07:09:51 EDT
Description of problem:

When I play xmoto in f9, restarting a level works.

When I play xmoto in f10 (rawhide) if I press enter or play level again after failing a level, xmoto quits.


Version-Release number of selected component (if applicable):

xmoto-0.4.2-3.fc10.i386


How reproducible:

Every time.
Comment 1 Gwyn Ciesla 2008-10-13 08:48:13 EDT
Can you run this from a terminal, and report any error messages?  A stack trace would also be helpful.  Thanks!
Comment 2 Rodd Clarkson 2008-10-14 06:47:18 EDT
[rodd@moose ~]$ xmoto 

ODE INTERNAL ERROR 1: assertion "g_bODEInitialized" failed in dCloseODE() [odeinit.cpp]
Aborted
[rodd@moose ~]$ 


If this isn't enough, then I might need a little reminding how to get a stack trace.  (It's been a while ;-[)
Comment 3 Gwyn Ciesla 2008-10-14 08:32:51 EDT
Checking with the ODE maintainer, to see if my patch is bollocks. . .
Comment 4 Hans de Goede 2008-10-15 10:46:54 EDT
Interesting xmoto was already calling CloseOde() upon destruction of the BikePlayer object, but not initOde, as it was doing this initOde needs to be called from the BikePlayer init routine instead of from main, so that it gets initialized each time the BikePlayer gets reset (as it first gets closed then).

I've just committed a new patch doing this to CVS and a fixed xmoto is building now, closing this.
Comment 5 Gwyn Ciesla 2008-10-15 11:00:29 EDT
Thanks, Hans!

Note You need to log in before you can comment on or make changes to this bug.